curl --request GET \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/policies \
--header 'Authorization: Bearer <token>'{
"policies": [
{
"id": "<string>",
"name": "<string>",
"effect": "allow",
"priority": 123,
"agentId": "<string>",
"principalId": "<string>",
"scopes": [
"<string>"
],
"timeOfDayStart": "<string>",
"timeOfDayEnd": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Returns policies ordered by priority (descending), then creation date (ascending).
curl --request GET \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/policies \
--header 'Authorization: Bearer <token>'{
"policies": [
{
"id": "<string>",
"name": "<string>",
"effect": "allow",
"priority": 123,
"agentId": "<string>",
"principalId": "<string>",
"scopes": [
"<string>"
],
"timeOfDayStart": "<string>",
"timeOfDayEnd": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}